require "import"
import "android.content.ComponentName"
import "android.content.Context"
import "android.content.Intent"
import "android.content.IntentFilter"
import "android.media.MediaMetadata"
import "android.media.session.MediaController"
import "android.media.session.MediaSessionManager"
import "android.os.Bundle"

local function getPlayingTrack()
    local msm = service.getSystemService(Context.MEDIA_SESSION_SERVICE)
    local controllers = msm.getActiveSessions(ComponentName(service, "NotificationService"))

    if controllers ~= nil and controllers.size() > 0 then
        local controller = controllers[0]
        local metadata = controller.getMetadata()

        if metadata ~= nil then
            local title = metadata.getString(MediaMetadata.METADATA_KEY_TITLE)
            local artist = metadata.getString(MediaMetadata.METADATA_KEY_ARTIST)

            if title ~= nil and artist ~= nil then
                return title .. " - " .. artist
            elseif title ~= nil then
                return title
            end
        end
    end

    return nil
end

local trackInfo = getPlayingTrack()

if trackInfo then
    service.speak("Сейчас играет: " .. trackInfo)
else
    service.speak("Музыка сейчас не играет")
end

return true